> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a SpeakerNote by ID



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/speakernote/{id}
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/speakernote/{id}:
    get:
      tags:
        - SpeakerNote
      summary: Get a SpeakerNote by ID
      operationId: getSpeakerNoteById
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpeakerNote'
          description: SpeakerNote found
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
      security:
        - BearerAuth: []
components:
  schemas:
    SpeakerNote:
      properties:
        authorName:
          type: string
        authorUserId:
          type: string
        body:
          type: string
        createdAt:
          format: date-time
          type: string
        email:
          type: string
        id:
          type: string
        orgId:
          type: string
      required:
        - id
        - orgId
        - email
        - authorUserId
        - authorName
        - body
        - createdAt
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````